GHSA-rwpr-83g3-96g7

Suggest an improvement
Source
https://github.com/advisories/GHSA-rwpr-83g3-96g7
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2019/09/GHSA-rwpr-83g3-96g7/GHSA-rwpr-83g3-96g7.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-rwpr-83g3-96g7
Aliases
Published
2019-09-23T18:33:07Z
Modified
2023-11-08T04:01:16.528017Z
Severity
  • 6.1 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N CVSS Calculator
Summary
Cross-site scripting in padrino-contrib
Details

The breadcrumbs contributed module through 0.2.0 for Padrino Framework allows XSS via a caption.

References

Affected packages

RubyGems / padrino-contrib

Package

Name
padrino-contrib
Purl
pkg:gem/padrino-contrib

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Last affected
0.2.0

Affected versions

0.*

0.0.1
0.0.2
0.0.3
0.0.4
0.0.5
0.0.6
0.1.0
0.1.1
0.1.2
0.1.3
0.1.4
0.1.5
0.1.6
0.1.7
0.1.8
0.1.9
0.1.10
0.1.11
0.1.12
0.1.13
0.2.0